Cabal-2.0.1.0: A framework for packaging Haskell software

Copyright | (c) Ben Gamari 2015-2019
License | BSD3
Maintainer | cabal-dev@haskell.org
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell2010

Distribution.Compat.DList

Description

A very simple difference list.

Synopsis

- data DList a
- runDList :: DList a -> [a]
- singleton :: a -> DList a
- snoc :: DList a -> a -> DList a

# Documentation

data DList a #

Difference list.

Instances

Semigroup (DList a) # |
Methods (<>) :: DList a -> DList a -> DList a Source # sconcat :: NonEmpty (DList a) -> DList a Source # stimes :: Integral b => b -> DList a -> DList a Source #
Monoid (DList a) # |
Methods mempty :: DList a Source # mappend :: DList a -> DList a -> DList a Source # mconcat :: [DList a] -> DList a Source #

runDList :: DList a -> [a] #

singleton :: a -> DList a #

Make `DList` with containing single element.

snoc :: DList a -> a -> DList a #